Bug 125736 - [ukbd] [hang] system hangs after AT keyboard detect if ukbd loaded as a module
Summary: [ukbd] [hang] system hangs after AT keyboard detect if ukbd loaded as a module
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: usb (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: Andrew Thompson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-18 07:10 UTC by admin
Modified: 2018-10-02 19:22 UTC (History)
1 user (show)

See Also:
bugmeister: mfc-stable10?
bugmeister: mfc-stable9?
bugmeister: mfc-stable8?


Attachments
ukbd.c.patch (353 bytes, patch)
2010-07-29 22:03 UTC, Martin Matuska
no flags Details | Diff
hps.diff (15.40 KB, patch)
2010-08-08 14:09 UTC, Daniel Gerzo
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description admin 2008-07-18 07:10:00 UTC
system hang while booting.
last string on dislpay:
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
============ dmesg from old kernel. with new - cannot boot ====
Copyright (c) 1992-2008 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
        The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 8.0-CURRENT #0: Mon Jul 14 14:44:46 MSD 2008
    lissyara@lissyara.moskb.local:/tmp/obj/usr/src/sys/NO_USB
WARNING: WITNESS option enabled, expect reduced performance.
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Pentium(R) D CPU 2.80GHz (2793.02-MHz 686-class CPU)
  Origin = "GenuineIntel"  Id = 0xf47  Stepping = 7
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0x641d<SSE3,RSVD2,MON,DS_CPL,CNXT-ID,CX16,xTPR>
  AMD Features=0x20100000<NX,LM>
  AMD Features2=0x1<LAHF>
  Cores per package: 2
real memory  = 2675642368 (2551 MB)
avail memory = 2612916224 (2491 MB)
ACPI APIC Table: <COMPAQ BROADH2O>
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
ioapic0: Changing APIC ID to 1
ioapic0 <Version 2.0> irqs 0-23 on motherboard
kbd1 at kbdmux0
ath_hal: 0.9.20.3 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
acpi0: <HPQOEM SLIC-BPC> on motherboard
acpi0: [ITHREAD]
acpi0: Power Button (fixed)
acpi0: reservation of 0, a0000 (3) failed
acpi0: reservation of 100000, 9ff00000 (3) failed
Timecounter "ACPI-fast" frequency 3579545 Hz quality 1000
acpi_timer0: <24-bit timer at 3.579545MHz> port 0xf808-0xf80b on acpi0
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
vgapci0: <VGA-compatible display> port 0x1100-0x1107 mem 0xf0400000-0xf04fffff,0xe0000000-0xefffffff irq 16 at device 2.0 on pci0
agp0: <Intel Q965 SVGA controller> on vgapci0
agp0: detected 7676k stolen memory
agp0: aperture size is 256M
uhci0: <Intel 82801H (ICH8) USB controller USB-D> port 0x1000-0x101f irq 20 at device 26.0 on pci0
uhci0: [GIANT-LOCKED]
uhci0: [ITHREAD]
usb0: <Intel 82801H (ICH8) USB controller USB-D> on uhci0
usb0: USB revision 1.0
uhub0: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb0
uhub0: 2 ports with 2 removable, self powered
uhci1: <Intel 82801H (ICH8) USB controller USB-E> port 0x1020-0x103f irq 21 at device 26.1 on pci0
uhci1: [GIANT-LOCKED]
uhci1: [ITHREAD]
usb1: <Intel 82801H (ICH8) USB controller USB-E> on uhci1
usb1: USB revision 1.0
uhub1: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb1
uhub1: 2 ports with 2 removable, self powered
ehci0: <Intel 82801H (ICH8) USB 2.0 controller USB2-B> mem 0xf0504000-0xf05043ff irq 22 at device 26.7 on pci0
ehci0: [GIANT-LOCKED]
ehci0: [ITHREAD]
usb2: EHCI version 1.0
usb2: companion controllers, 2 ports each: usb0 usb1
usb2: <Intel 82801H (ICH8) USB 2.0 controller USB2-B> on ehci0
usb2: USB revision 2.0
uhub2: <Intel EHCI root hub, class 9/0, rev 2.00/1.00, addr 1> on usb2
uhub2: 4 ports with 4 removable, self powered
pci0: <multimedia> at device 27.0 (no driver attached)
pcib1: <ACPI PCI-PCI bridge> at device 28.0 on pci0
pci32: <ACPI PCI bus> on pcib1
pcib2: <ACPI PCI-PCI bridge> irq 21 at device 28.1 on pci0
pci63: <ACPI PCI bus> on pcib2
bge0: <Broadcom NetXtreme Gigabit Ethernet Controller, ASIC rev. 0xa002> mem 0xf0800000-0xf080ffff irq 17 at device 0.0 on pci63
miibus0: <MII bus> on bge0
brgphy0: <BCM5755 10/100/1000baseTX PHY> PHY 1 on miibus0
brgphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-FDX, auto
bge0: Ethernet address: 00:19:bb:5c:f3:88
bge0: [ITHREAD]
uhci2: <Intel 82801H (ICH8) USB controller USB-A> port 0x1040-0x105f irq 20 at device 29.0 on pci0
uhci2: [GIANT-LOCKED]
uhci2: [ITHREAD]
usb3: <Intel 82801H (ICH8) USB controller USB-A> on uhci2
usb3: USB revision 1.0
uhub3: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb3
uhub3: 2 ports with 2 removable, self powered
uhci3: <Intel 82801H (ICH8) USB controller USB-B> port 0x1060-0x107f irq 21 at device 29.1 on pci0
uhci3: [GIANT-LOCKED]
uhci3: [ITHREAD]
usb4: <Intel 82801H (ICH8) USB controller USB-B> on uhci3
usb4: USB revision 1.0
uhub4: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb4
uhub4: 2 ports with 2 removable, self powered
ehci1: <Intel 82801H (ICH8) USB 2.0 controller USB2-A> mem 0xf0504400-0xf05047ff irq 20 at device 29.7 on pci0
ehci1: [GIANT-LOCKED]
ehci1: [ITHREAD]
usb5: EHCI version 1.0
usb5: companion controllers, 2 ports each: usb3 usb4
usb5: <Intel 82801H (ICH8) USB 2.0 controller USB2-A> on ehci1
usb5: USB revision 2.0
uhub5: <Intel EHCI root hub, class 9/0, rev 2.00/1.00, addr 1> on usb5
uhub5: 4 ports with 4 removable, self powered
pcib3: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci7: <ACPI PCI bus> on pcib3
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel ICH8 SATA300 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0x10c0-0x10cf,0x10d0-0x10df irq 18 at device 31.2 on pci0
ata0: <ATA channel 0> on atapci0
ata0: [ITHREAD]
ata1: <ATA channel 1> on atapci0
ata1: [ITHREAD]
atapci1: <Intel ICH8 SATA300 controller> port 0x1118-0x111f,0x1130-0x1133,0x1120-0x1127,0x1134-0x1137,0x10e0-0x10ef,0x10f0-0x10ff irq 18 at device 31.5 on pci0
atapci1: [ITHREAD]
ata2: <ATA channel 0> on atapci1
ata2: [ITHREAD]
ata3: <ATA channel 1> on atapci1
ata3: [ITHREAD]
cpu0: <ACPI CPU> on acpi0
p4tcc0: <CPU Frequency Thermal Control> on cpu0
cpu1: <ACPI CPU> on acpi0
p4tcc1: <CPU Frequency Thermal Control> on cpu1
acpi_button0: <Power Button> on acpi0
atrtc0: <AT realtime clock> port 0x70-0x71 irq 8 on acpi0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
atkbd0: [ITHREAD]
fdc0: <floppy drive controller (FDE)> port 0x3f0-0x3f5,0x3f7 irq 6 drq 2 on acpi0
fdc0: [FILTER]
pmtimer0 on isa0
orm0: <ISA Option ROMs> at iomem 0xc0000-0xcafff,0xcb000-0xcbfff,0xe7800-0xeffff pnpid ORM0000 on isa0
ppc0: <Parallel port> at port 0x378-0x37f irq 7 on isa0
ppc0: SMC-like chipset (ECP/EPP/PS2/NIBBLE) in COMPATIBLE mode
ppc0: FIFO with 16/16/13 bytes threshold
ppbus0: <Parallel port bus> on ppc0
ppbus0: [ITHREAD]
plip0: <PLIP network interface> on ppbus0
plip0: WARNING: using obsoleted IFF_NEEDSGIANT flag
lpt0: <Printer> on ppbus0
lpt0: Interrupt-driven port
ppi0: <Parallel I/O> on ppbus0
ppc0: [GIANT-LOCKED]
ppc0: [ITHREAD]
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
ums0: <vendor 0x046e USB Advance Mouse, class 0/0, rev 1.10/1.00, addr 2> on uhub0
ums0: 3 buttons and Z dir.
Timecounters tick every 1.000 msec
ad0: 76319MB <SAMSUNG HD080HJ WT100-33> at ata0-master SATA300
acd0: CDRW <HL-DT-ST RW/DVD GCC-H10N/C705> at ata1-master SATA150
SMP: AP CPU #1 Launched!

How-To-Repeat: build GENERIC kernel
Comment 1 Gavin Atkinson freebsd_committer freebsd_triage 2008-07-18 12:18:00 UTC
State Changed
From-To: open->feedback

To submitter: Can I confirm that you could boot with sources from the 14th 
July, but sources from the 18th do not boot?  Can I suggest you try using 
sources from the 16th and seeing if that works, then from either the 15th 
or 17th to try to narrow down the change that broke things for you? 

Also you are probably much better off discussing this on the freebsd-current 
mailing list - you'll probably get a quicker response.  If you can narrow 
down the change that broke things for you, and provide the last few lines 
from the dmesg of a verbose boot that would be even better!
Comment 2 Gavin Atkinson freebsd_committer freebsd_triage 2008-07-18 12:21:08 UTC
Responsible Changed
From-To: freebsd-bugs->gavin

I'll track this
Comment 3 admin 2008-07-18 14:49:21 UTC
ÐÐ. monday, I rebuild kernel, update sourse with step 1 day.
Comment 4 admin 2008-07-21 09:26:10 UTC
sorry, but I found reason - one or more kernel modules...
after delete loader.conf - all OK
Comment 5 Gavin Atkinson freebsd_committer freebsd_triage 2008-07-21 10:07:24 UTC
On Mon, 2008-07-21 at 08:30 +0000, Alex Keda wrote:
> sorry, but I found reason - one or more kernel modules...
>  after delete loader.conf - all OK

That's good news - although all the modules that usually come with
FreeBSD should have been recompiled along with the kernel, assuming you
are using the standard "make buildkernel" method of building.

Do you have any third party modules installed from ports that may be
causing this?  If it is a FreeBSD module that is breaking your keyboard
it would be good if we can find out which one it is.

Thanks!

Gavin
Comment 6 admin 2008-07-21 11:47:24 UTC
I find this module. It - ukbd.
so.
FreeBSD lissyara.moskb.local 8.0-CURRENT FreeBSD 8.0-CURRENT #0: Fri Jul 
18 12:04:50 MSD 2008     
lissyara@lissyara.moskb.local:/tmp/obj/usr/src/sys/GENERIC  i386
build as 'make buildkernel&& make installkernel' hang on string
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
with
lissyara# more /boot/loader.conf.bad
#
ukbd_load="YES"

lissyara#  
========
I have second test box with GENERIC, 7.0-RELEASE, another hardware 
(2xPIII), and this box - have some behavior with module ukbd...
Comment 7 Gavin Atkinson freebsd_committer freebsd_triage 2008-07-21 12:11:53 UTC
On Mon, 2008-07-21 at 10:50 +0000, Alex Keda wrote:
> T
>  I find this module. It - ukbd.
>  so.
>  FreeBSD lissyara.moskb.local 8.0-CURRENT FreeBSD 8.0-CURRENT #0: Fri Jul 
>  18 12:04:50 MSD 2008     
>  lissyara@lissyara.moskb.local:/tmp/obj/usr/src/sys/GENERIC  i386
>  build as 'make buildkernel&& make installkernel' hang on string
>  atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
>  with
>  lissyara# more /boot/loader.conf.bad
>  #
>  ukbd_load="YES"

OK, so having ukbd_load="YES" in /boot/loader.conf causes your machine
to hang while probing the AT keyboard?

Could you please boot with that line in /boot/loader.conf and select
"verbose boot" from the boot menu, and copy the last 5-10 printed lines
into an email?

Lastly, is there a reason you are trying to load the ukbd module?
Although this should work fine, this module should be part of the
GENERIC kernel already, which you appear to be using.

Thanks!

Gavin
Comment 8 admin 2008-07-21 13:16:05 UTC
>OK, so having ukbd_load="YES" in /boot/loader.conf causes your machine
>to hang while probing the AT keyboard?

yes

>Could you please boot with that line in /boot/loader.conf and select
>"verbose boot" from the boot menu, and copy the last 5-10 printed lines
>into an email?

I attach picture... many symbols... was unable to...

[bugmeister note: due to size, I have moved the image file out of GNATS
and into http://people.freebsd.org/~linimon/tmp/21072008167.jpg .]

>Lastly, is there a reason you are trying to load the ukbd module?
>Although this should work fine, this module should be part of the
>GENERIC kernel already, which you appear to be using.

I know. But, this string stay from tests - when I many times rebuild usb
stack
Comment 9 Gavin Atkinson freebsd_committer freebsd_triage 2008-07-23 10:47:09 UTC
Sorry, one last question: I note that you are now using the GENERIC
kernel, can you please confirm that you have not modified this config
file in any way?

Thanks!

Gavin
Comment 10 admin 2008-07-23 11:08:27 UTC
What config? loader.conf or kernel config?
=========
if kernel config - it GENERIC from cvs
if loader.conf - I use it without ukbd_load="YES"
Comment 11 avedischev 2008-07-23 11:16:15 UTC
I got the same problem as described Alex Keda,

If I try to load with ukbd_load="YES" stirng in my /boot/loader.conf

Computer is hang up on keyboard detection during boot.

dmesg:

FreeBSD powercharge.moskb.local 7.0-RELEASE-p3 FreeBSD 7.0-RELEASE-p3 #2: Mon Jul 14 19:26:22 MSD 2008     andy@powercharge.moskb.local:/usr/obj/usr/src/sys/MYKERN  i386
Copyright (c) 1992-2008 The FreeBSD Project.
Copyright (c) 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
	The Regents of the University of California. All rights reserved.
FreeBSD is a registered trademark of The FreeBSD Foundation.
FreeBSD 7.0-RELEASE-p3 #2: Mon Jul 14 19:26:22 MSD 2008
    andy@powercharge.moskb.local:/usr/obj/usr/src/sys/MYKERN
Timecounter "i8254" frequency 1193182 Hz quality 0
CPU: Intel(R) Pentium(R) 4 CPU 3.00GHz (2990.43-MHz 686-class CPU)
  Origin = "GenuineIntel"  Id = 0xf41  Stepping = 1
  Features=0xbfebfbff<FPU,VME,DE,PSE,TSC,MSR,PAE,MCE,CX8,APIC,SEP,MTRR,PGE,MCA,CMOV,PAT,PSE36,CLFLUSH,DTS,ACPI,MMX,FXSR,SSE,SSE2,SS,HTT,TM,PBE>
  Features2=0x641d<SSE3,RSVD2,MON,DS_CPL,CNXT-ID,CX16,xTPR>
  AMD Features=0x20000000<LM>
  Logical CPUs per core: 2
real memory  = 1602093056 (1527 MB)
avail memory = 1556140032 (1484 MB)
ACPI APIC Table: <COMPAQ GRANTSD >
FreeBSD/SMP: Multiprocessor System Detected: 2 CPUs
 cpu0 (BSP): APIC ID:  0
 cpu1 (AP): APIC ID:  1
ioapic0: Changing APIC ID to 1
ioapic0 <Version 2.0> irqs 0-23 on motherboard
kbd1 at kbdmux0
ath_hal: 0.9.20.3 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
hptrr: HPT RocketRAID controller driver v1.1 (Jul 14 2008 19:25:58)
acpi0: <COMPAQ CPQ0968> on motherboard
acpi0: [ITHREAD]
acpi0: Power Button (fixed)
acpi0: reservation of 0, a0000 (3) failed
acpi0: reservation of 100000, 5ff00000 (3) failed
Timecounter "ACPI-safe" frequency 3579545 Hz quality 850
acpi_timer0: <24-bit timer at 3.579545MHz> port 0xf808-0xf80b on acpi0
cpu0: <ACPI CPU> on acpi0
p4tcc0: <CPU Frequency Thermal Control> on cpu0
cpu1: <ACPI CPU> on acpi0
p4tcc1: <CPU Frequency Thermal Control> on cpu1
pcib0: <ACPI Host-PCI bridge> port 0xcf8-0xcff on acpi0
pci0: <ACPI PCI bus> on pcib0
vgapci0: <VGA-compatible display> port 0x1800-0x1807 mem 0xcfd00000-0xcfd7ffff,0xe0000000-0xefffffff,0xcfd80000-0xcfdbffff irq 16 at device 2.0 on pci0
agp0: <Intel 82915G (915G GMCH) SVGA controller> on vgapci0
agp0: detected 7932k stolen memory
agp0: aperture size is 256M
pcib1: <ACPI PCI-PCI bridge> at device 28.0 on pci0
pci32: <ACPI PCI bus> on pcib1
pcib2: <ACPI PCI-PCI bridge> irq 17 at device 28.1 on pci0
pci64: <ACPI PCI bus> on pcib2
bge0: <Broadcom NetXtreme Gigabit Ethernet Controller, ASIC rev. 0x4001> mem 0xf0400000-0xf040ffff irq 17 at device 0.0 on pci64
miibus0: <MII bus> on bge0
brgphy0: <BCM5750 10/100/1000baseTX PHY> PHY 1 on miibus0
brgphy0:  10baseT, 10baseT-FDX, 100baseTX, 100baseTX-FDX, 1000baseT, 1000baseT-FDX, auto
bge0: Ethernet address: 00:14:c2:57:91:d3
bge0: [ITHREAD]
uhci0: <Intel 82801FB/FR/FW/FRW (ICH6) USB controller USB-A> port 0x1440-0x145f irq 20 at device 29.0 on pci0
uhci0: [GIANT-LOCKED]
uhci0: [ITHREAD]
usb0: <Intel 82801FB/FR/FW/FRW (ICH6) USB controller USB-A> on uhci0
usb0: USB revision 1.0
uhub0: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb0
uhub0: 2 ports with 2 removable, self powered
uhci1: <Intel 82801FB/FR/FW/FRW (ICH6) USB controller USB-B> port 0x1460-0x147f irq 18 at device 29.1 on pci0
uhci1: [GIANT-LOCKED]
uhci1: [ITHREAD]
usb1: <Intel 82801FB/FR/FW/FRW (ICH6) USB controller USB-B> on uhci1
usb1: USB revision 1.0
uhub1: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb1
uhub1: 2 ports with 2 removable, self powered
uhci2: <Intel 82801FB/FR/FW/FRW (ICH6) USB controller USB-C> port 0x1480-0x149f irq 21 at device 29.2 on pci0
uhci2: [GIANT-LOCKED]
uhci2: [ITHREAD]
usb2: <Intel 82801FB/FR/FW/FRW (ICH6) USB controller USB-C> on uhci2
usb2: USB revision 1.0
uhub2: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb2
uhub2: 2 ports with 2 removable, self powered
uhci3: <Intel 82801FB/FR/FW/FRW (ICH6) USB controller USB-D> port 0x14a0-0x14bf irq 22 at device 29.3 on pci0
uhci3: [GIANT-LOCKED]
uhci3: [ITHREAD]
usb3: <Intel 82801FB/FR/FW/FRW (ICH6) USB controller USB-D> on uhci3
usb3: USB revision 1.0
uhub3: <Intel UHCI root hub, class 9/0, rev 1.00/1.00, addr 1> on usb3
uhub3: 2 ports with 2 removable, self powered
ehci0: <Intel 82801FB (ICH6) USB 2.0 controller> mem 0xcfdc0000-0xcfdc03ff irq 20 at device 29.7 on pci0
ehci0: [GIANT-LOCKED]
ehci0: [ITHREAD]
usb4: EHCI version 1.0
usb4: companion controllers, 2 ports each: usb0 usb1 usb2 usb3
usb4: <Intel 82801FB (ICH6) USB 2.0 controller> on ehci0
usb4: USB revision 2.0
uhub4: <Intel EHCI root hub, class 9/0, rev 2.00/1.00, addr 1> on usb4
uhub4: 8 ports with 8 removable, self powered
pcib3: <ACPI PCI-PCI bridge> at device 30.0 on pci0
pci5: <ACPI PCI bus> on pcib3
pcm0: <Intel ICH6 (82801FB)> port 0x1000-0x10ff,0x1400-0x143f mem 0xcfdc0400-0xcfdc05ff,0xcfdc0600-0xcfdc06ff irq 21 at device 30.2 on pci0
pcm0: [ITHREAD]
pcm0: <Analog Devices AD1981B AC97 Codec>
isab0: <PCI-ISA bridge> at device 31.0 on pci0
isa0: <ISA bus> on isab0
atapci0: <Intel ICH6 UDMA100 controller> port 0x1f0-0x1f7,0x3f6,0x170-0x177,0x376,0x14e0-0x14ef irq 17 at device 31.1 on pci0
ata0: <ATA channel 0> on atapci0
ata0: [ITHREAD]
ata1: <ATA channel 1> on atapci0
ata1: [ITHREAD]
atapci1: <Intel ICH6 SATA150 controller> port 0x1818-0x181f,0x1830-0x1833,0x1820-0x1827,0x1834-0x1837,0x14f0-0x14ff irq 19 at device 31.2 on pci0
atapci1: [ITHREAD]
ata2: <ATA channel 0> on atapci1
ata2: [ITHREAD]
ata3: <ATA channel 1> on atapci1
ata3: [ITHREAD]
acpi_button0: <Power Button> on acpi0
atkbdc0: <Keyboard controller (i8042)> port 0x60,0x64 irq 1 on acpi0
atkbd0: <AT Keyboard> irq 1 on atkbdc0
kbd0 at atkbd0
atkbd0: [GIANT-LOCKED]
atkbd0: [ITHREAD]
psm0: <PS/2 Mouse> irq 12 on atkbdc0
psm0: [GIANT-LOCKED]
psm0: [ITHREAD]
psm0: model IntelliMouse, device ID 3
sio0: <Standard PC COM port> port 0x3f8-0x3ff irq 4 flags 0x10 on acpi0
sio0: type 16550A
sio0: [FILTER]
fdc0: <floppy drive controller> port 0x3f0-0x3f5,0x3f7 irq 6 drq 2 on acpi0
fdc0: [FILTER]
pmtimer0 on isa0
orm0: <ISA Option ROMs> at iomem 0xc0000-0xca7ff,0xca800-0xcb7ff,0xcb800-0xcd7ff pnpid ORM0000 on isa0
ppc0: <Parallel port> at port 0x378-0x37f irq 7 on isa0
ppc0: SMC-like chipset (ECP/EPP/PS2/NIBBLE) in COMPATIBLE mode
ppc0: FIFO with 16/16/13 bytes threshold
ppbus0: <Parallel port bus> on ppc0
ppbus0: [ITHREAD]
plip0: <PLIP network interface> on ppbus0
lpt0: <Printer> on ppbus0
lpt0: Interrupt-driven port
ppi0: <Parallel I/O> on ppbus0
ppc0: [GIANT-LOCKED]
ppc0: [ITHREAD]
sc0: <System console> at flags 0x100 on isa0
sc0: VGA <16 virtual consoles, flags=0x300>
sio1: configured irq 3 not in bitmap of probed irqs 0
sio1: port may not be enabled
vga0: <Generic ISA VGA> at port 0x3c0-0x3df iomem 0xa0000-0xbffff on isa0
Timecounters tick every 1.000 msec
hptrr: no controller detected.
acd0: DVDROM <HL-DT-STDVD-ROM GDR8164B/0B10> at ata0-master UDMA40
ad4: 76319MB <WDC WD800JD-60LUA0 07.01D07> at ata2-master SATA150
SMP: AP CPU #1 Launched!
Trying to mount root from ufs:/dev/ad4s1a
Comment 12 Gavin Atkinson freebsd_committer freebsd_triage 2008-07-23 11:52:33 UTC
State Changed
From-To: feedback->open

Feedback received: This is a problem seen by two different users, where 
loading ukbd as a module will cause the boot process to hang while 
detecting an AT keyboard iff ukbd is also built into the kernel 


Comment 13 Gavin Atkinson freebsd_committer freebsd_triage 2008-07-23 11:52:33 UTC
Responsible Changed
From-To: gavin->freebsd-usb

Over to maintainer(s)
Comment 14 Martin Matuska freebsd_committer 2010-07-27 13:13:10 UTC
 I can confirm this and narrow it down a little:

- this happens only if ukbd is already present in the kernel (e.g.
GENERIC) and ukbd.ko gets loaded at boot
- I can reproduce it on all my FreeBSD machines of different versions
with GENERIC or other kernel containing ukbd
- reproducible in virtualbox

Steps to reproduce:
- use a GENERIC kernel
- escape to loader prompt on boot, type "load ukbd.ko"
- type "boot" or "boot -v" for verbose prompt

Boot hangs at keyboard detection.
Comment 15 Martin Matuska freebsd_committer 2010-07-29 22:03:28 UTC
Hans Petter Selasky <hselasky@FreeBSD.org> recommended me to use

MODULE_VERSION(ukbd, 1);
in sys/dev/usb/input/ukbd.c

I can confirm that this patch solves the problem and if there is nothing
in the way I suggest importing it into HEAD and MFC-ing into stable/8
and stable/7.

Thanks!
Comment 16 Daniel Gerzo freebsd_committer 2010-08-08 14:09:08 UTC
Hello,

  attached, I am sending patch which fixes other modules similarly.

-- 
Best regards,
  Danile Gerzo
Comment 17 Hans Petter Selasky 2010-08-08 15:49:29 UTC
On Thursday 29 July 2010 23:03:28 Martin Matuska wrote:
> Hans Petter Selasky <hselasky@FreeBSD.org> recommended me to use
> 
> MODULE_VERSION(ukbd, 1);
> in sys/dev/usb/input/ukbd.c
> 
> I can confirm that this patch solves the problem and if there is nothing
> in the way I suggest importing it into HEAD and MFC-ing into stable/8
> and stable/7.
> 
> Thanks!

Patch has been committed to USB P4.

http://p4web.freebsd.org/@@182088?ac=10

Thanks for testing!

--HPS
Comment 18 Hans Petter Selasky 2010-08-08 15:56:17 UTC
On Thursday 29 July 2010 23:03:28 Martin Matuska wrote:
> Hans Petter Selasky <hselasky@FreeBSD.org> recommended me to use
> 
> MODULE_VERSION(ukbd, 1);
> in sys/dev/usb/input/ukbd.c
> 
> I can confirm that this patch solves the problem and if there is nothing
> in the way I suggest importing it into HEAD and MFC-ing into stable/8
> and stable/7.
> 
> Thanks!

Some typos:

http://p4web.freebsd.org/@@182089?ac=10

Thanks for testing!

--HPS
Comment 19 dfilter service freebsd_committer 2010-09-02 00:48:07 UTC
Author: thompsa
Date: Wed Sep  1 23:47:53 2010
New Revision: 212122
URL: http://svn.freebsd.org/changeset/base/212122

Log:
  Add missing MODULE_VERSION() definitions, this resolves problems around
  duplicate module loads.
  
  PR:		usb/125736
  Submitted by:	danger, mm
  Reviewed by:	hselasky

Modified:
  head/sys/dev/if_ndis/if_ndis_usb.c
  head/sys/dev/usb/input/atp.c
  head/sys/dev/usb/input/uep.c
  head/sys/dev/usb/input/uhid.c
  head/sys/dev/usb/input/ukbd.c
  head/sys/dev/usb/input/ums.c
  head/sys/dev/usb/misc/udbp.c
  head/sys/dev/usb/misc/ufm.c
  head/sys/dev/usb/net/if_aue.c
  head/sys/dev/usb/net/if_axe.c
  head/sys/dev/usb/net/if_cue.c
  head/sys/dev/usb/net/if_kue.c
  head/sys/dev/usb/net/if_rue.c
  head/sys/dev/usb/net/if_udav.c
  head/sys/dev/usb/serial/u3g.c
  head/sys/dev/usb/serial/uark.c
  head/sys/dev/usb/serial/ubsa.c
  head/sys/dev/usb/serial/ubser.c
  head/sys/dev/usb/serial/uchcom.c
  head/sys/dev/usb/serial/ucycom.c
  head/sys/dev/usb/serial/ufoma.c
  head/sys/dev/usb/serial/uftdi.c
  head/sys/dev/usb/serial/ugensa.c
  head/sys/dev/usb/serial/uipaq.c
  head/sys/dev/usb/serial/ulpt.c
  head/sys/dev/usb/serial/umct.c
  head/sys/dev/usb/serial/umoscom.c
  head/sys/dev/usb/serial/uvisor.c
  head/sys/dev/usb/storage/umass.c
  head/sys/dev/usb/storage/urio.c
  head/sys/dev/usb/usb_compat_linux.c
  head/sys/dev/usb/usb_hub.c
  head/sys/dev/usb/wlan/if_rum.c
  head/sys/dev/usb/wlan/if_run.c
  head/sys/dev/usb/wlan/if_uath.c
  head/sys/dev/usb/wlan/if_ural.c
  head/sys/dev/usb/wlan/if_urtw.c
  head/sys/dev/usb/wlan/if_zyd.c

Modified: head/sys/dev/if_ndis/if_ndis_usb.c
==============================================================================
--- head/sys/dev/if_ndis/if_ndis_usb.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/if_ndis/if_ndis_usb.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -107,6 +107,7 @@ static driver_t ndis_driver = {
 static devclass_t ndis_devclass;
 
 DRIVER_MODULE(ndis, uhub, ndis_driver, ndis_devclass, ndisdrv_modevent, 0);
+MODULE_VERSION(ndis, 1);
 
 static int
 ndisusb_devcompare(interface_type bustype, struct ndis_usb_type *t, device_t dev)

Modified: head/sys/dev/usb/input/atp.c
==============================================================================
--- head/sys/dev/usb/input/atp.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/input/atp.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -2222,3 +2222,4 @@ static devclass_t atp_devclass;
 
 DRIVER_MODULE(atp, uhub, atp_driver, atp_devclass, NULL, 0);
 MODULE_DEPEND(atp, usb, 1, 1, 1);
+MODULE_VERSION(atp, 1);

Modified: head/sys/dev/usb/input/uep.c
==============================================================================
--- head/sys/dev/usb/input/uep.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/input/uep.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -439,3 +439,4 @@ static driver_t uep_driver = {
 
 DRIVER_MODULE(uep, uhub, uep_driver, uep_devclass, NULL, NULL);
 MODULE_DEPEND(uep, usb, 1, 1, 1);
+MODULE_VERSION(uep, 1);

Modified: head/sys/dev/usb/input/uhid.c
==============================================================================
--- head/sys/dev/usb/input/uhid.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/input/uhid.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -801,3 +801,4 @@ static driver_t uhid_driver = {
 
 DRIVER_MODULE(uhid, uhub, uhid_driver, uhid_devclass, NULL, 0);
 MODULE_DEPEND(uhid, usb, 1, 1, 1);
+MODULE_VERSION(uhid, 1);

Modified: head/sys/dev/usb/input/ukbd.c
==============================================================================
--- head/sys/dev/usb/input/ukbd.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/input/ukbd.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -1887,3 +1887,4 @@ static driver_t ukbd_driver = {
 
 DRIVER_MODULE(ukbd, uhub, ukbd_driver, ukbd_devclass, ukbd_driver_load, 0);
 MODULE_DEPEND(ukbd, usb, 1, 1, 1);
+MODULE_VERSION(ukbd, 1);

Modified: head/sys/dev/usb/input/ums.c
==============================================================================
--- head/sys/dev/usb/input/ums.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/input/ums.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -1010,3 +1010,4 @@ static driver_t ums_driver = {
 
 DRIVER_MODULE(ums, uhub, ums_driver, ums_devclass, NULL, 0);
 MODULE_DEPEND(ums, usb, 1, 1, 1);
+MODULE_VERSION(ums, 1);

Modified: head/sys/dev/usb/misc/udbp.c
==============================================================================
--- head/sys/dev/usb/misc/udbp.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/misc/udbp.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -261,6 +261,7 @@ static driver_t udbp_driver = {
 DRIVER_MODULE(udbp, uhub, udbp_driver, udbp_devclass, udbp_modload, 0);
 MODULE_DEPEND(udbp, netgraph, NG_ABI_VERSION, NG_ABI_VERSION, NG_ABI_VERSION);
 MODULE_DEPEND(udbp, usb, 1, 1, 1);
+MODULE_VERSION(udbp, 1);
 
 static int
 udbp_modload(module_t mod, int event, void *data)

Modified: head/sys/dev/usb/misc/ufm.c
==============================================================================
--- head/sys/dev/usb/misc/ufm.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/misc/ufm.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -117,6 +117,7 @@ static driver_t ufm_driver = {
 
 DRIVER_MODULE(ufm, uhub, ufm_driver, ufm_devclass, NULL, 0);
 MODULE_DEPEND(ufm, usb, 1, 1, 1);
+MODULE_VERSION(ufm, 1);
 
 static int
 ufm_probe(device_t dev)

Modified: head/sys/dev/usb/net/if_aue.c
==============================================================================
--- head/sys/dev/usb/net/if_aue.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/net/if_aue.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -281,6 +281,7 @@ MODULE_DEPEND(aue, uether, 1, 1, 1);
 MODULE_DEPEND(aue, usb, 1, 1, 1);
 MODULE_DEPEND(aue, ether, 1, 1, 1);
 MODULE_DEPEND(aue, miibus, 1, 1, 1);
+MODULE_VERSION(aue, 1);
 
 static const struct usb_ether_methods aue_ue_methods = {
 	.ue_attach_post = aue_attach_post,

Modified: head/sys/dev/usb/net/if_axe.c
==============================================================================
--- head/sys/dev/usb/net/if_axe.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/net/if_axe.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -256,6 +256,7 @@ MODULE_DEPEND(axe, uether, 1, 1, 1);
 MODULE_DEPEND(axe, usb, 1, 1, 1);
 MODULE_DEPEND(axe, ether, 1, 1, 1);
 MODULE_DEPEND(axe, miibus, 1, 1, 1);
+MODULE_VERSION(axe, 1);
 
 static const struct usb_ether_methods axe_ue_methods = {
 	.ue_attach_post = axe_attach_post,

Modified: head/sys/dev/usb/net/if_cue.c
==============================================================================
--- head/sys/dev/usb/net/if_cue.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/net/if_cue.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -173,6 +173,7 @@ DRIVER_MODULE(cue, uhub, cue_driver, cue
 MODULE_DEPEND(cue, uether, 1, 1, 1);
 MODULE_DEPEND(cue, usb, 1, 1, 1);
 MODULE_DEPEND(cue, ether, 1, 1, 1);
+MODULE_VERSION(cue, 1);
 
 static const struct usb_ether_methods cue_ue_methods = {
 	.ue_attach_post = cue_attach_post,

Modified: head/sys/dev/usb/net/if_kue.c
==============================================================================
--- head/sys/dev/usb/net/if_kue.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/net/if_kue.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -215,6 +215,7 @@ DRIVER_MODULE(kue, uhub, kue_driver, kue
 MODULE_DEPEND(kue, uether, 1, 1, 1);
 MODULE_DEPEND(kue, usb, 1, 1, 1);
 MODULE_DEPEND(kue, ether, 1, 1, 1);
+MODULE_VERSION(kue, 1);
 
 static const struct usb_ether_methods kue_ue_methods = {
 	.ue_attach_post = kue_attach_post,

Modified: head/sys/dev/usb/net/if_rue.c
==============================================================================
--- head/sys/dev/usb/net/if_rue.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/net/if_rue.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -213,6 +213,7 @@ MODULE_DEPEND(rue, uether, 1, 1, 1);
 MODULE_DEPEND(rue, usb, 1, 1, 1);
 MODULE_DEPEND(rue, ether, 1, 1, 1);
 MODULE_DEPEND(rue, miibus, 1, 1, 1);
+MODULE_VERSION(rue, 1);
 
 static const struct usb_ether_methods rue_ue_methods = {
 	.ue_attach_post = rue_attach_post,

Modified: head/sys/dev/usb/net/if_udav.c
==============================================================================
--- head/sys/dev/usb/net/if_udav.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/net/if_udav.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -172,6 +172,7 @@ MODULE_DEPEND(udav, uether, 1, 1, 1);
 MODULE_DEPEND(udav, usb, 1, 1, 1);
 MODULE_DEPEND(udav, ether, 1, 1, 1);
 MODULE_DEPEND(udav, miibus, 1, 1, 1);
+MODULE_VERSION(udav, 1);
 
 static const struct usb_ether_methods udav_ue_methods = {
 	.ue_attach_post = udav_attach_post,

Modified: head/sys/dev/usb/serial/u3g.c
==============================================================================
--- head/sys/dev/usb/serial/u3g.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/serial/u3g.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -178,6 +178,7 @@ static driver_t u3g_driver = {
 DRIVER_MODULE(u3g, uhub, u3g_driver, u3g_devclass, u3g_driver_loaded, 0);
 MODULE_DEPEND(u3g, ucom, 1, 1, 1);
 MODULE_DEPEND(u3g, usb, 1, 1, 1);
+MODULE_VERSION(u3g, 1);
 
 static const struct usb_device_id u3g_devs[] = {
 #define	U3G_DEV(v,p,i) { USB_VPI(USB_VENDOR_##v, USB_PRODUCT_##v##_##p, i) }

Modified: head/sys/dev/usb/serial/uark.c
==============================================================================
--- head/sys/dev/usb/serial/uark.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/serial/uark.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -169,6 +169,7 @@ static driver_t uark_driver = {
 DRIVER_MODULE(uark, uhub, uark_driver, uark_devclass, NULL, 0);
 MODULE_DEPEND(uark, ucom, 1, 1, 1);
 MODULE_DEPEND(uark, usb, 1, 1, 1);
+MODULE_VERSION(uark, 1);
 
 static const struct usb_device_id uark_devs[] = {
 	{USB_VPI(USB_VENDOR_ARKMICRO, USB_PRODUCT_ARKMICRO_ARK3116, 0)},

Modified: head/sys/dev/usb/serial/ubsa.c
==============================================================================
--- head/sys/dev/usb/serial/ubsa.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/serial/ubsa.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -277,6 +277,7 @@ static driver_t ubsa_driver = {
 DRIVER_MODULE(ubsa, uhub, ubsa_driver, ubsa_devclass, NULL, 0);
 MODULE_DEPEND(ubsa, ucom, 1, 1, 1);
 MODULE_DEPEND(ubsa, usb, 1, 1, 1);
+MODULE_VERSION(ubsa, 1);
 
 static int
 ubsa_probe(device_t dev)

Modified: head/sys/dev/usb/serial/ubser.c
==============================================================================
--- head/sys/dev/usb/serial/ubser.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/serial/ubser.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -215,6 +215,7 @@ static driver_t ubser_driver = {
 DRIVER_MODULE(ubser, uhub, ubser_driver, ubser_devclass, NULL, 0);
 MODULE_DEPEND(ubser, ucom, 1, 1, 1);
 MODULE_DEPEND(ubser, usb, 1, 1, 1);
+MODULE_VERSION(ubser, 1);
 
 static int
 ubser_probe(device_t dev)

Modified: head/sys/dev/usb/serial/uchcom.c
==============================================================================
--- head/sys/dev/usb/serial/uchcom.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/serial/uchcom.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -855,3 +855,4 @@ static devclass_t uchcom_devclass;
 DRIVER_MODULE(uchcom, uhub, uchcom_driver, uchcom_devclass, NULL, 0);
 MODULE_DEPEND(uchcom, ucom, 1, 1, 1);
 MODULE_DEPEND(uchcom, usb, 1, 1, 1);
+MODULE_VERSION(uchcom, 1);

Modified: head/sys/dev/usb/serial/ucycom.c
==============================================================================
--- head/sys/dev/usb/serial/ucycom.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/serial/ucycom.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -176,6 +176,7 @@ static driver_t ucycom_driver = {
 DRIVER_MODULE(ucycom, uhub, ucycom_driver, ucycom_devclass, NULL, 0);
 MODULE_DEPEND(ucycom, ucom, 1, 1, 1);
 MODULE_DEPEND(ucycom, usb, 1, 1, 1);
+MODULE_VERSION(ucycom, 1);
 
 /*
  * Supported devices

Modified: head/sys/dev/usb/serial/ufoma.c
==============================================================================
--- head/sys/dev/usb/serial/ufoma.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/serial/ufoma.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -326,6 +326,7 @@ static driver_t ufoma_driver = {
 DRIVER_MODULE(ufoma, uhub, ufoma_driver, ufoma_devclass, NULL, 0);
 MODULE_DEPEND(ufoma, ucom, 1, 1, 1);
 MODULE_DEPEND(ufoma, usb, 1, 1, 1);
+MODULE_VERSION(ufoma, 1);
 
 static int
 ufoma_probe(device_t dev)

Modified: head/sys/dev/usb/serial/uftdi.c
==============================================================================
--- head/sys/dev/usb/serial/uftdi.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/serial/uftdi.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -205,6 +205,7 @@ static driver_t uftdi_driver = {
 DRIVER_MODULE(uftdi, uhub, uftdi_driver, uftdi_devclass, NULL, 0);
 MODULE_DEPEND(uftdi, ucom, 1, 1, 1);
 MODULE_DEPEND(uftdi, usb, 1, 1, 1);
+MODULE_VERSION(uftdi, 1);
 
 static struct usb_device_id uftdi_devs[] = {
 #define	UFTDI_DEV(v,p,t) \

Modified: head/sys/dev/usb/serial/ugensa.c
==============================================================================
--- head/sys/dev/usb/serial/ugensa.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/serial/ugensa.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -153,6 +153,7 @@ static driver_t ugensa_driver = {
 DRIVER_MODULE(ugensa, uhub, ugensa_driver, ugensa_devclass, NULL, 0);
 MODULE_DEPEND(ugensa, ucom, 1, 1, 1);
 MODULE_DEPEND(ugensa, usb, 1, 1, 1);
+MODULE_VERSION(ugensa, 1);
 
 static const struct usb_device_id ugensa_devs[] = {
 	{USB_VPI(USB_VENDOR_AIRPRIME, USB_PRODUCT_AIRPRIME_PC5220, 0)},

Modified: head/sys/dev/usb/serial/uipaq.c
==============================================================================
--- head/sys/dev/usb/serial/uipaq.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/serial/uipaq.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -1085,6 +1085,7 @@ static driver_t uipaq_driver = {
 DRIVER_MODULE(uipaq, uhub, uipaq_driver, uipaq_devclass, NULL, 0);
 MODULE_DEPEND(uipaq, ucom, 1, 1, 1);
 MODULE_DEPEND(uipaq, usb, 1, 1, 1);
+MODULE_VERSION(uipaq, 1);
 
 static int
 uipaq_probe(device_t dev)

Modified: head/sys/dev/usb/serial/ulpt.c
==============================================================================
--- head/sys/dev/usb/serial/ulpt.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/serial/ulpt.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -745,3 +745,4 @@ static driver_t ulpt_driver = {
 DRIVER_MODULE(ulpt, uhub, ulpt_driver, ulpt_devclass, NULL, 0);
 MODULE_DEPEND(ulpt, usb, 1, 1, 1);
 MODULE_DEPEND(ulpt, ucom, 1, 1, 1);
+MODULE_VERSION(ulpt, 1);

Modified: head/sys/dev/usb/serial/umct.c
==============================================================================
--- head/sys/dev/usb/serial/umct.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/serial/umct.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -219,6 +219,7 @@ static driver_t umct_driver = {
 DRIVER_MODULE(umct, uhub, umct_driver, umct_devclass, NULL, 0);
 MODULE_DEPEND(umct, ucom, 1, 1, 1);
 MODULE_DEPEND(umct, usb, 1, 1, 1);
+MODULE_VERSION(umct, 1);
 
 static int
 umct_probe(device_t dev)

Modified: head/sys/dev/usb/serial/umoscom.c
==============================================================================
--- head/sys/dev/usb/serial/umoscom.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/serial/umoscom.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -279,6 +279,7 @@ static driver_t umoscom_driver = {
 DRIVER_MODULE(umoscom, uhub, umoscom_driver, umoscom_devclass, NULL, 0);
 MODULE_DEPEND(umoscom, ucom, 1, 1, 1);
 MODULE_DEPEND(umoscom, usb, 1, 1, 1);
+MODULE_VERSION(umoscom, 1);
 
 static const struct usb_device_id umoscom_devs[] = {
 	{USB_VPI(USB_VENDOR_MOSCHIP, USB_PRODUCT_MOSCHIP_MCS7703, 0)}

Modified: head/sys/dev/usb/serial/uvisor.c
==============================================================================
--- head/sys/dev/usb/serial/uvisor.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/serial/uvisor.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -252,6 +252,7 @@ static driver_t uvisor_driver = {
 DRIVER_MODULE(uvisor, uhub, uvisor_driver, uvisor_devclass, NULL, 0);
 MODULE_DEPEND(uvisor, ucom, 1, 1, 1);
 MODULE_DEPEND(uvisor, usb, 1, 1, 1);
+MODULE_VERSION(uvisor, 1);
 
 static const struct usb_device_id uvisor_devs[] = {
 #define	UVISOR_DEV(v,p,i) { USB_VPI(USB_VENDOR_##v, USB_PRODUCT_##v##_##p, i) }

Modified: head/sys/dev/usb/storage/umass.c
==============================================================================
--- head/sys/dev/usb/storage/umass.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/storage/umass.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -715,6 +715,7 @@ static driver_t umass_driver = {
 DRIVER_MODULE(umass, uhub, umass_driver, umass_devclass, NULL, 0);
 MODULE_DEPEND(umass, usb, 1, 1, 1);
 MODULE_DEPEND(umass, cam, 1, 1, 1);
+MODULE_VERSION(umass, 1);
 
 /*
  * USB device probe/attach/detach

Modified: head/sys/dev/usb/storage/urio.c
==============================================================================
--- head/sys/dev/usb/storage/urio.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/storage/urio.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -197,6 +197,7 @@ static driver_t urio_driver = {
 
 DRIVER_MODULE(urio, uhub, urio_driver, urio_devclass, NULL, 0);
 MODULE_DEPEND(urio, usb, 1, 1, 1);
+MODULE_VERSION(urio, 1);
 
 static int
 urio_probe(device_t dev)

Modified: head/sys/dev/usb/usb_compat_linux.c
==============================================================================
--- head/sys/dev/usb/usb_compat_linux.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/usb_compat_linux.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -122,6 +122,7 @@ static driver_t usb_linux_driver = {
 static devclass_t usb_linux_devclass;
 
 DRIVER_MODULE(usb_linux, uhub, usb_linux_driver, usb_linux_devclass, NULL, 0);
+MODULE_VERSION(usb_linux, 1);
 
 /*------------------------------------------------------------------------*
  *	usb_linux_lookup_id

Modified: head/sys/dev/usb/usb_hub.c
==============================================================================
--- head/sys/dev/usb/usb_hub.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/usb_hub.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -170,6 +170,7 @@ static driver_t uhub_driver = {
 
 DRIVER_MODULE(uhub, usbus, uhub_driver, uhub_devclass, 0, 0);
 DRIVER_MODULE(uhub, uhub, uhub_driver, uhub_devclass, NULL, 0);
+MODULE_VERSION(uhub, 1);
 
 static void
 uhub_intr_callback(struct usb_xfer *xfer, usb_error_t error)

Modified: head/sys/dev/usb/wlan/if_rum.c
==============================================================================
--- head/sys/dev/usb/wlan/if_rum.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/wlan/if_rum.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -139,9 +139,6 @@ static const struct usb_device_id rum_de
 #undef RUM_DEV
 };
 
-MODULE_DEPEND(rum, wlan, 1, 1, 1);
-MODULE_DEPEND(rum, usb, 1, 1, 1);
-
 static device_probe_t rum_match;
 static device_attach_t rum_attach;
 static device_detach_t rum_detach;
@@ -2360,3 +2357,6 @@ static driver_t rum_driver = {
 static devclass_t rum_devclass;
 
 DRIVER_MODULE(rum, uhub, rum_driver, rum_devclass, NULL, 0);
+MODULE_DEPEND(rum, wlan, 1, 1, 1);
+MODULE_DEPEND(rum, usb, 1, 1, 1);
+MODULE_VERSION(rum, 1);

Modified: head/sys/dev/usb/wlan/if_run.c
==============================================================================
--- head/sys/dev/usb/wlan/if_run.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/wlan/if_run.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -294,10 +294,6 @@ static const struct usb_device_id run_de
 #undef RUN_DEV
 };
 
-MODULE_DEPEND(run, wlan, 1, 1, 1);
-MODULE_DEPEND(run, usb, 1, 1, 1);
-MODULE_DEPEND(run, firmware, 1, 1, 1);
-
 static device_probe_t	run_match;
 static device_attach_t	run_attach;
 static device_detach_t	run_detach;
@@ -4871,3 +4867,7 @@ static driver_t run_driver = {
 static devclass_t run_devclass;
 
 DRIVER_MODULE(run, uhub, run_driver, run_devclass, NULL, 0);
+MODULE_DEPEND(run, wlan, 1, 1, 1);
+MODULE_DEPEND(run, usb, 1, 1, 1);
+MODULE_DEPEND(run, firmware, 1, 1, 1);
+MODULE_VERSION(run, 1);

Modified: head/sys/dev/usb/wlan/if_uath.c
==============================================================================
--- head/sys/dev/usb/wlan/if_uath.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/wlan/if_uath.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -2892,3 +2892,4 @@ static devclass_t uath_devclass;
 DRIVER_MODULE(uath, uhub, uath_driver, uath_devclass, NULL, 0);
 MODULE_DEPEND(uath, wlan, 1, 1, 1);
 MODULE_DEPEND(uath, usb, 1, 1, 1);
+MODULE_VERSION(uath, 1);

Modified: head/sys/dev/usb/wlan/if_ural.c
==============================================================================
--- head/sys/dev/usb/wlan/if_ural.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/wlan/if_ural.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -400,6 +400,7 @@ static devclass_t ural_devclass;
 DRIVER_MODULE(ural, uhub, ural_driver, ural_devclass, NULL, 0);
 MODULE_DEPEND(ural, usb, 1, 1, 1);
 MODULE_DEPEND(ural, wlan, 1, 1, 1);
+MODULE_VERSION(ural, 1);
 
 static int
 ural_match(device_t self)

Modified: head/sys/dev/usb/wlan/if_urtw.c
==============================================================================
--- head/sys/dev/usb/wlan/if_urtw.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/wlan/if_urtw.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -4441,3 +4441,4 @@ static devclass_t urtw_devclass;
 DRIVER_MODULE(urtw, uhub, urtw_driver, urtw_devclass, NULL, 0);
 MODULE_DEPEND(urtw, wlan, 1, 1, 1);
 MODULE_DEPEND(urtw, usb, 1, 1, 1);
+MODULE_VERSION(urtw, 1);

Modified: head/sys/dev/usb/wlan/if_zyd.c
==============================================================================
--- head/sys/dev/usb/wlan/if_zyd.c	Wed Sep  1 22:50:11 2010	(r212121)
+++ head/sys/dev/usb/wlan/if_zyd.c	Wed Sep  1 23:47:53 2010	(r212122)
@@ -2948,3 +2948,4 @@ static devclass_t zyd_devclass;
 DRIVER_MODULE(zyd, uhub, zyd_driver, zyd_devclass, NULL, 0);
 MODULE_DEPEND(zyd, usb, 1, 1, 1);
 MODULE_DEPEND(zyd, wlan, 1, 1, 1);
+MODULE_VERSION(zyd, 1);
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 20 Andrew Thompson freebsd_committer 2010-09-02 01:48:49 UTC
State Changed
From-To: open->patched

Committed to svn. 


Comment 21 Andrew Thompson freebsd_committer 2010-09-02 01:48:49 UTC
Responsible Changed
From-To: freebsd-usb->thompsa

Committed to svn.
Comment 22 dfilter service freebsd_committer 2010-11-19 01:41:37 UTC
Author: thompsa
Date: Fri Nov 19 01:41:28 2010
New Revision: 215492
URL: http://svn.freebsd.org/changeset/base/215492

Log:
  MFC r212122
  
   Add missing MODULE_VERSION() definitions, this resolves problems around
   duplicate module loads.
  
  PR:		usb/125736
  Submitted by:	danger, mm

Modified:
  stable/8/sys/dev/if_ndis/if_ndis_usb.c
  stable/8/sys/dev/usb/input/atp.c
  stable/8/sys/dev/usb/input/uep.c
  stable/8/sys/dev/usb/input/uhid.c
  stable/8/sys/dev/usb/input/ukbd.c
  stable/8/sys/dev/usb/input/ums.c
  stable/8/sys/dev/usb/misc/udbp.c
  stable/8/sys/dev/usb/misc/ufm.c
  stable/8/sys/dev/usb/net/if_aue.c
  stable/8/sys/dev/usb/net/if_axe.c
  stable/8/sys/dev/usb/net/if_cue.c
  stable/8/sys/dev/usb/net/if_kue.c
  stable/8/sys/dev/usb/net/if_rue.c
  stable/8/sys/dev/usb/net/if_udav.c
  stable/8/sys/dev/usb/serial/u3g.c
  stable/8/sys/dev/usb/serial/uark.c
  stable/8/sys/dev/usb/serial/ubsa.c
  stable/8/sys/dev/usb/serial/ubser.c
  stable/8/sys/dev/usb/serial/uchcom.c
  stable/8/sys/dev/usb/serial/ucycom.c
  stable/8/sys/dev/usb/serial/ufoma.c
  stable/8/sys/dev/usb/serial/uftdi.c
  stable/8/sys/dev/usb/serial/ugensa.c
  stable/8/sys/dev/usb/serial/uipaq.c
  stable/8/sys/dev/usb/serial/ulpt.c
  stable/8/sys/dev/usb/serial/umct.c
  stable/8/sys/dev/usb/serial/umoscom.c
  stable/8/sys/dev/usb/serial/uvisor.c
  stable/8/sys/dev/usb/storage/umass.c
  stable/8/sys/dev/usb/storage/urio.c
  stable/8/sys/dev/usb/usb_compat_linux.c
  stable/8/sys/dev/usb/usb_hub.c
  stable/8/sys/dev/usb/wlan/if_rum.c
  stable/8/sys/dev/usb/wlan/if_run.c
  stable/8/sys/dev/usb/wlan/if_uath.c
  stable/8/sys/dev/usb/wlan/if_ural.c
  stable/8/sys/dev/usb/wlan/if_urtw.c
  stable/8/sys/dev/usb/wlan/if_zyd.c
Directory Properties:
  stable/8/sys/   (props changed)
  stable/8/sys/amd64/include/xen/   (props changed)
  stable/8/sys/cddl/contrib/opensolaris/   (props changed)
  stable/8/sys/contrib/dev/acpica/   (props changed)
  stable/8/sys/contrib/pf/   (props changed)
  stable/8/sys/dev/xen/xenpci/   (props changed)

Modified: stable/8/sys/dev/if_ndis/if_ndis_usb.c
==============================================================================
--- stable/8/sys/dev/if_ndis/if_ndis_usb.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/if_ndis/if_ndis_usb.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -107,6 +107,7 @@ static driver_t ndis_driver = {
 static devclass_t ndis_devclass;
 
 DRIVER_MODULE(ndis, uhub, ndis_driver, ndis_devclass, ndisdrv_modevent, 0);
+MODULE_VERSION(ndis, 1);
 
 static int
 ndisusb_devcompare(interface_type bustype, struct ndis_usb_type *t, device_t dev)

Modified: stable/8/sys/dev/usb/input/atp.c
==============================================================================
--- stable/8/sys/dev/usb/input/atp.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/input/atp.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -2222,3 +2222,4 @@ static devclass_t atp_devclass;
 
 DRIVER_MODULE(atp, uhub, atp_driver, atp_devclass, NULL, 0);
 MODULE_DEPEND(atp, usb, 1, 1, 1);
+MODULE_VERSION(atp, 1);

Modified: stable/8/sys/dev/usb/input/uep.c
==============================================================================
--- stable/8/sys/dev/usb/input/uep.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/input/uep.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -439,3 +439,4 @@ static driver_t uep_driver = {
 
 DRIVER_MODULE(uep, uhub, uep_driver, uep_devclass, NULL, NULL);
 MODULE_DEPEND(uep, usb, 1, 1, 1);
+MODULE_VERSION(uep, 1);

Modified: stable/8/sys/dev/usb/input/uhid.c
==============================================================================
--- stable/8/sys/dev/usb/input/uhid.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/input/uhid.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -808,3 +808,4 @@ static driver_t uhid_driver = {
 
 DRIVER_MODULE(uhid, uhub, uhid_driver, uhid_devclass, NULL, 0);
 MODULE_DEPEND(uhid, usb, 1, 1, 1);
+MODULE_VERSION(uhid, 1);

Modified: stable/8/sys/dev/usb/input/ukbd.c
==============================================================================
--- stable/8/sys/dev/usb/input/ukbd.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/input/ukbd.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -1894,3 +1894,4 @@ static driver_t ukbd_driver = {
 
 DRIVER_MODULE(ukbd, uhub, ukbd_driver, ukbd_devclass, ukbd_driver_load, 0);
 MODULE_DEPEND(ukbd, usb, 1, 1, 1);
+MODULE_VERSION(ukbd, 1);

Modified: stable/8/sys/dev/usb/input/ums.c
==============================================================================
--- stable/8/sys/dev/usb/input/ums.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/input/ums.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -1017,3 +1017,4 @@ static driver_t ums_driver = {
 
 DRIVER_MODULE(ums, uhub, ums_driver, ums_devclass, NULL, 0);
 MODULE_DEPEND(ums, usb, 1, 1, 1);
+MODULE_VERSION(ums, 1);

Modified: stable/8/sys/dev/usb/misc/udbp.c
==============================================================================
--- stable/8/sys/dev/usb/misc/udbp.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/misc/udbp.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -261,6 +261,7 @@ static driver_t udbp_driver = {
 DRIVER_MODULE(udbp, uhub, udbp_driver, udbp_devclass, udbp_modload, 0);
 MODULE_DEPEND(udbp, netgraph, NG_ABI_VERSION, NG_ABI_VERSION, NG_ABI_VERSION);
 MODULE_DEPEND(udbp, usb, 1, 1, 1);
+MODULE_VERSION(udbp, 1);
 
 static int
 udbp_modload(module_t mod, int event, void *data)

Modified: stable/8/sys/dev/usb/misc/ufm.c
==============================================================================
--- stable/8/sys/dev/usb/misc/ufm.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/misc/ufm.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -117,6 +117,7 @@ static driver_t ufm_driver = {
 
 DRIVER_MODULE(ufm, uhub, ufm_driver, ufm_devclass, NULL, 0);
 MODULE_DEPEND(ufm, usb, 1, 1, 1);
+MODULE_VERSION(ufm, 1);
 
 static int
 ufm_probe(device_t dev)

Modified: stable/8/sys/dev/usb/net/if_aue.c
==============================================================================
--- stable/8/sys/dev/usb/net/if_aue.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/net/if_aue.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -281,6 +281,7 @@ MODULE_DEPEND(aue, uether, 1, 1, 1);
 MODULE_DEPEND(aue, usb, 1, 1, 1);
 MODULE_DEPEND(aue, ether, 1, 1, 1);
 MODULE_DEPEND(aue, miibus, 1, 1, 1);
+MODULE_VERSION(aue, 1);
 
 static const struct usb_ether_methods aue_ue_methods = {
 	.ue_attach_post = aue_attach_post,

Modified: stable/8/sys/dev/usb/net/if_axe.c
==============================================================================
--- stable/8/sys/dev/usb/net/if_axe.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/net/if_axe.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -248,6 +248,7 @@ MODULE_DEPEND(axe, uether, 1, 1, 1);
 MODULE_DEPEND(axe, usb, 1, 1, 1);
 MODULE_DEPEND(axe, ether, 1, 1, 1);
 MODULE_DEPEND(axe, miibus, 1, 1, 1);
+MODULE_VERSION(axe, 1);
 
 static const struct usb_ether_methods axe_ue_methods = {
 	.ue_attach_post = axe_attach_post,

Modified: stable/8/sys/dev/usb/net/if_cue.c
==============================================================================
--- stable/8/sys/dev/usb/net/if_cue.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/net/if_cue.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -173,6 +173,7 @@ DRIVER_MODULE(cue, uhub, cue_driver, cue
 MODULE_DEPEND(cue, uether, 1, 1, 1);
 MODULE_DEPEND(cue, usb, 1, 1, 1);
 MODULE_DEPEND(cue, ether, 1, 1, 1);
+MODULE_VERSION(cue, 1);
 
 static const struct usb_ether_methods cue_ue_methods = {
 	.ue_attach_post = cue_attach_post,

Modified: stable/8/sys/dev/usb/net/if_kue.c
==============================================================================
--- stable/8/sys/dev/usb/net/if_kue.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/net/if_kue.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -215,6 +215,7 @@ DRIVER_MODULE(kue, uhub, kue_driver, kue
 MODULE_DEPEND(kue, uether, 1, 1, 1);
 MODULE_DEPEND(kue, usb, 1, 1, 1);
 MODULE_DEPEND(kue, ether, 1, 1, 1);
+MODULE_VERSION(kue, 1);
 
 static const struct usb_ether_methods kue_ue_methods = {
 	.ue_attach_post = kue_attach_post,

Modified: stable/8/sys/dev/usb/net/if_rue.c
==============================================================================
--- stable/8/sys/dev/usb/net/if_rue.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/net/if_rue.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -213,6 +213,7 @@ MODULE_DEPEND(rue, uether, 1, 1, 1);
 MODULE_DEPEND(rue, usb, 1, 1, 1);
 MODULE_DEPEND(rue, ether, 1, 1, 1);
 MODULE_DEPEND(rue, miibus, 1, 1, 1);
+MODULE_VERSION(rue, 1);
 
 static const struct usb_ether_methods rue_ue_methods = {
 	.ue_attach_post = rue_attach_post,

Modified: stable/8/sys/dev/usb/net/if_udav.c
==============================================================================
--- stable/8/sys/dev/usb/net/if_udav.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/net/if_udav.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -172,6 +172,7 @@ MODULE_DEPEND(udav, uether, 1, 1, 1);
 MODULE_DEPEND(udav, usb, 1, 1, 1);
 MODULE_DEPEND(udav, ether, 1, 1, 1);
 MODULE_DEPEND(udav, miibus, 1, 1, 1);
+MODULE_VERSION(udav, 1);
 
 static const struct usb_ether_methods udav_ue_methods = {
 	.ue_attach_post = udav_attach_post,

Modified: stable/8/sys/dev/usb/serial/u3g.c
==============================================================================
--- stable/8/sys/dev/usb/serial/u3g.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/serial/u3g.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -179,6 +179,7 @@ static driver_t u3g_driver = {
 DRIVER_MODULE(u3g, uhub, u3g_driver, u3g_devclass, u3g_driver_loaded, 0);
 MODULE_DEPEND(u3g, ucom, 1, 1, 1);
 MODULE_DEPEND(u3g, usb, 1, 1, 1);
+MODULE_VERSION(u3g, 1);
 
 static const struct usb_device_id u3g_devs[] = {
 #define	U3G_DEV(v,p,i) { USB_VPI(USB_VENDOR_##v, USB_PRODUCT_##v##_##p, i) }

Modified: stable/8/sys/dev/usb/serial/uark.c
==============================================================================
--- stable/8/sys/dev/usb/serial/uark.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/serial/uark.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -169,6 +169,7 @@ static driver_t uark_driver = {
 DRIVER_MODULE(uark, uhub, uark_driver, uark_devclass, NULL, 0);
 MODULE_DEPEND(uark, ucom, 1, 1, 1);
 MODULE_DEPEND(uark, usb, 1, 1, 1);
+MODULE_VERSION(uark, 1);
 
 static const struct usb_device_id uark_devs[] = {
 	{USB_VPI(USB_VENDOR_ARKMICRO, USB_PRODUCT_ARKMICRO_ARK3116, 0)},

Modified: stable/8/sys/dev/usb/serial/ubsa.c
==============================================================================
--- stable/8/sys/dev/usb/serial/ubsa.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/serial/ubsa.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -277,6 +277,7 @@ static driver_t ubsa_driver = {
 DRIVER_MODULE(ubsa, uhub, ubsa_driver, ubsa_devclass, NULL, 0);
 MODULE_DEPEND(ubsa, ucom, 1, 1, 1);
 MODULE_DEPEND(ubsa, usb, 1, 1, 1);
+MODULE_VERSION(ubsa, 1);
 
 static int
 ubsa_probe(device_t dev)

Modified: stable/8/sys/dev/usb/serial/ubser.c
==============================================================================
--- stable/8/sys/dev/usb/serial/ubser.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/serial/ubser.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -215,6 +215,7 @@ static driver_t ubser_driver = {
 DRIVER_MODULE(ubser, uhub, ubser_driver, ubser_devclass, NULL, 0);
 MODULE_DEPEND(ubser, ucom, 1, 1, 1);
 MODULE_DEPEND(ubser, usb, 1, 1, 1);
+MODULE_VERSION(ubser, 1);
 
 static int
 ubser_probe(device_t dev)

Modified: stable/8/sys/dev/usb/serial/uchcom.c
==============================================================================
--- stable/8/sys/dev/usb/serial/uchcom.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/serial/uchcom.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -855,3 +855,4 @@ static devclass_t uchcom_devclass;
 DRIVER_MODULE(uchcom, uhub, uchcom_driver, uchcom_devclass, NULL, 0);
 MODULE_DEPEND(uchcom, ucom, 1, 1, 1);
 MODULE_DEPEND(uchcom, usb, 1, 1, 1);
+MODULE_VERSION(uchcom, 1);

Modified: stable/8/sys/dev/usb/serial/ucycom.c
==============================================================================
--- stable/8/sys/dev/usb/serial/ucycom.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/serial/ucycom.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -176,6 +176,7 @@ static driver_t ucycom_driver = {
 DRIVER_MODULE(ucycom, uhub, ucycom_driver, ucycom_devclass, NULL, 0);
 MODULE_DEPEND(ucycom, ucom, 1, 1, 1);
 MODULE_DEPEND(ucycom, usb, 1, 1, 1);
+MODULE_VERSION(ucycom, 1);
 
 /*
  * Supported devices

Modified: stable/8/sys/dev/usb/serial/ufoma.c
==============================================================================
--- stable/8/sys/dev/usb/serial/ufoma.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/serial/ufoma.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -326,6 +326,7 @@ static driver_t ufoma_driver = {
 DRIVER_MODULE(ufoma, uhub, ufoma_driver, ufoma_devclass, NULL, 0);
 MODULE_DEPEND(ufoma, ucom, 1, 1, 1);
 MODULE_DEPEND(ufoma, usb, 1, 1, 1);
+MODULE_VERSION(ufoma, 1);
 
 static int
 ufoma_probe(device_t dev)

Modified: stable/8/sys/dev/usb/serial/uftdi.c
==============================================================================
--- stable/8/sys/dev/usb/serial/uftdi.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/serial/uftdi.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -212,6 +212,7 @@ static driver_t uftdi_driver = {
 DRIVER_MODULE(uftdi, uhub, uftdi_driver, uftdi_devclass, NULL, 0);
 MODULE_DEPEND(uftdi, ucom, 1, 1, 1);
 MODULE_DEPEND(uftdi, usb, 1, 1, 1);
+MODULE_VERSION(uftdi, 1);
 
 static struct usb_device_id uftdi_devs[] = {
 #define	UFTDI_DEV(v,p,t) \

Modified: stable/8/sys/dev/usb/serial/ugensa.c
==============================================================================
--- stable/8/sys/dev/usb/serial/ugensa.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/serial/ugensa.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -160,6 +160,7 @@ static driver_t ugensa_driver = {
 DRIVER_MODULE(ugensa, uhub, ugensa_driver, ugensa_devclass, NULL, 0);
 MODULE_DEPEND(ugensa, ucom, 1, 1, 1);
 MODULE_DEPEND(ugensa, usb, 1, 1, 1);
+MODULE_VERSION(ugensa, 1);
 
 static const struct usb_device_id ugensa_devs[] = {
 	{USB_VPI(USB_VENDOR_AIRPRIME, USB_PRODUCT_AIRPRIME_PC5220, 0)},

Modified: stable/8/sys/dev/usb/serial/uipaq.c
==============================================================================
--- stable/8/sys/dev/usb/serial/uipaq.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/serial/uipaq.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -1092,6 +1092,7 @@ static driver_t uipaq_driver = {
 DRIVER_MODULE(uipaq, uhub, uipaq_driver, uipaq_devclass, NULL, 0);
 MODULE_DEPEND(uipaq, ucom, 1, 1, 1);
 MODULE_DEPEND(uipaq, usb, 1, 1, 1);
+MODULE_VERSION(uipaq, 1);
 
 static int
 uipaq_probe(device_t dev)

Modified: stable/8/sys/dev/usb/serial/ulpt.c
==============================================================================
--- stable/8/sys/dev/usb/serial/ulpt.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/serial/ulpt.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -752,3 +752,4 @@ static driver_t ulpt_driver = {
 DRIVER_MODULE(ulpt, uhub, ulpt_driver, ulpt_devclass, NULL, 0);
 MODULE_DEPEND(ulpt, usb, 1, 1, 1);
 MODULE_DEPEND(ulpt, ucom, 1, 1, 1);
+MODULE_VERSION(ulpt, 1);

Modified: stable/8/sys/dev/usb/serial/umct.c
==============================================================================
--- stable/8/sys/dev/usb/serial/umct.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/serial/umct.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -219,6 +219,7 @@ static driver_t umct_driver = {
 DRIVER_MODULE(umct, uhub, umct_driver, umct_devclass, NULL, 0);
 MODULE_DEPEND(umct, ucom, 1, 1, 1);
 MODULE_DEPEND(umct, usb, 1, 1, 1);
+MODULE_VERSION(umct, 1);
 
 static int
 umct_probe(device_t dev)

Modified: stable/8/sys/dev/usb/serial/umoscom.c
==============================================================================
--- stable/8/sys/dev/usb/serial/umoscom.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/serial/umoscom.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -279,6 +279,7 @@ static driver_t umoscom_driver = {
 DRIVER_MODULE(umoscom, uhub, umoscom_driver, umoscom_devclass, NULL, 0);
 MODULE_DEPEND(umoscom, ucom, 1, 1, 1);
 MODULE_DEPEND(umoscom, usb, 1, 1, 1);
+MODULE_VERSION(umoscom, 1);
 
 static const struct usb_device_id umoscom_devs[] = {
 	{USB_VPI(USB_VENDOR_MOSCHIP, USB_PRODUCT_MOSCHIP_MCS7703, 0)}

Modified: stable/8/sys/dev/usb/serial/uvisor.c
==============================================================================
--- stable/8/sys/dev/usb/serial/uvisor.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/serial/uvisor.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -259,6 +259,7 @@ static driver_t uvisor_driver = {
 DRIVER_MODULE(uvisor, uhub, uvisor_driver, uvisor_devclass, NULL, 0);
 MODULE_DEPEND(uvisor, ucom, 1, 1, 1);
 MODULE_DEPEND(uvisor, usb, 1, 1, 1);
+MODULE_VERSION(uvisor, 1);
 
 static const struct usb_device_id uvisor_devs[] = {
 #define	UVISOR_DEV(v,p,i) { USB_VPI(USB_VENDOR_##v, USB_PRODUCT_##v##_##p, i) }

Modified: stable/8/sys/dev/usb/storage/umass.c
==============================================================================
--- stable/8/sys/dev/usb/storage/umass.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/storage/umass.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -715,6 +715,7 @@ static driver_t umass_driver = {
 DRIVER_MODULE(umass, uhub, umass_driver, umass_devclass, NULL, 0);
 MODULE_DEPEND(umass, usb, 1, 1, 1);
 MODULE_DEPEND(umass, cam, 1, 1, 1);
+MODULE_VERSION(umass, 1);
 
 /*
  * USB device probe/attach/detach

Modified: stable/8/sys/dev/usb/storage/urio.c
==============================================================================
--- stable/8/sys/dev/usb/storage/urio.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/storage/urio.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -197,6 +197,7 @@ static driver_t urio_driver = {
 
 DRIVER_MODULE(urio, uhub, urio_driver, urio_devclass, NULL, 0);
 MODULE_DEPEND(urio, usb, 1, 1, 1);
+MODULE_VERSION(urio, 1);
 
 static int
 urio_probe(device_t dev)

Modified: stable/8/sys/dev/usb/usb_compat_linux.c
==============================================================================
--- stable/8/sys/dev/usb/usb_compat_linux.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/usb_compat_linux.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -122,6 +122,7 @@ static driver_t usb_linux_driver = {
 static devclass_t usb_linux_devclass;
 
 DRIVER_MODULE(usb_linux, uhub, usb_linux_driver, usb_linux_devclass, NULL, 0);
+MODULE_VERSION(usb_linux, 1);
 
 /*------------------------------------------------------------------------*
  *	usb_linux_lookup_id

Modified: stable/8/sys/dev/usb/usb_hub.c
==============================================================================
--- stable/8/sys/dev/usb/usb_hub.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/usb_hub.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -170,6 +170,7 @@ static driver_t uhub_driver = {
 
 DRIVER_MODULE(uhub, usbus, uhub_driver, uhub_devclass, 0, 0);
 DRIVER_MODULE(uhub, uhub, uhub_driver, uhub_devclass, NULL, 0);
+MODULE_VERSION(uhub, 1);
 
 static void
 uhub_intr_callback(struct usb_xfer *xfer, usb_error_t error)

Modified: stable/8/sys/dev/usb/wlan/if_rum.c
==============================================================================
--- stable/8/sys/dev/usb/wlan/if_rum.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/wlan/if_rum.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -139,9 +139,6 @@ static const struct usb_device_id rum_de
 #undef RUM_DEV
 };
 
-MODULE_DEPEND(rum, wlan, 1, 1, 1);
-MODULE_DEPEND(rum, usb, 1, 1, 1);
-
 static device_probe_t rum_match;
 static device_attach_t rum_attach;
 static device_detach_t rum_detach;
@@ -2351,3 +2348,6 @@ static driver_t rum_driver = {
 static devclass_t rum_devclass;
 
 DRIVER_MODULE(rum, uhub, rum_driver, rum_devclass, NULL, 0);
+MODULE_DEPEND(rum, wlan, 1, 1, 1);
+MODULE_DEPEND(rum, usb, 1, 1, 1);
+MODULE_VERSION(rum, 1);

Modified: stable/8/sys/dev/usb/wlan/if_run.c
==============================================================================
--- stable/8/sys/dev/usb/wlan/if_run.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/wlan/if_run.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -294,10 +294,6 @@ static const struct usb_device_id run_de
 #undef RUN_DEV
 };
 
-MODULE_DEPEND(run, wlan, 1, 1, 1);
-MODULE_DEPEND(run, usb, 1, 1, 1);
-MODULE_DEPEND(run, firmware, 1, 1, 1);
-
 static device_probe_t	run_match;
 static device_attach_t	run_attach;
 static device_detach_t	run_detach;
@@ -4871,3 +4867,7 @@ static driver_t run_driver = {
 static devclass_t run_devclass;
 
 DRIVER_MODULE(run, uhub, run_driver, run_devclass, NULL, 0);
+MODULE_DEPEND(run, wlan, 1, 1, 1);
+MODULE_DEPEND(run, usb, 1, 1, 1);
+MODULE_DEPEND(run, firmware, 1, 1, 1);
+MODULE_VERSION(run, 1);

Modified: stable/8/sys/dev/usb/wlan/if_uath.c
==============================================================================
--- stable/8/sys/dev/usb/wlan/if_uath.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/wlan/if_uath.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -2892,3 +2892,4 @@ static devclass_t uath_devclass;
 DRIVER_MODULE(uath, uhub, uath_driver, uath_devclass, NULL, 0);
 MODULE_DEPEND(uath, wlan, 1, 1, 1);
 MODULE_DEPEND(uath, usb, 1, 1, 1);
+MODULE_VERSION(uath, 1);

Modified: stable/8/sys/dev/usb/wlan/if_ural.c
==============================================================================
--- stable/8/sys/dev/usb/wlan/if_ural.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/wlan/if_ural.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -400,6 +400,7 @@ static devclass_t ural_devclass;
 DRIVER_MODULE(ural, uhub, ural_driver, ural_devclass, NULL, 0);
 MODULE_DEPEND(ural, usb, 1, 1, 1);
 MODULE_DEPEND(ural, wlan, 1, 1, 1);
+MODULE_VERSION(ural, 1);
 
 static int
 ural_match(device_t self)

Modified: stable/8/sys/dev/usb/wlan/if_urtw.c
==============================================================================
--- stable/8/sys/dev/usb/wlan/if_urtw.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/wlan/if_urtw.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -4441,3 +4441,4 @@ static devclass_t urtw_devclass;
 DRIVER_MODULE(urtw, uhub, urtw_driver, urtw_devclass, NULL, 0);
 MODULE_DEPEND(urtw, wlan, 1, 1, 1);
 MODULE_DEPEND(urtw, usb, 1, 1, 1);
+MODULE_VERSION(urtw, 1);

Modified: stable/8/sys/dev/usb/wlan/if_zyd.c
==============================================================================
--- stable/8/sys/dev/usb/wlan/if_zyd.c	Fri Nov 19 01:40:34 2010	(r215491)
+++ stable/8/sys/dev/usb/wlan/if_zyd.c	Fri Nov 19 01:41:28 2010	(r215492)
@@ -2948,3 +2948,4 @@ static devclass_t zyd_devclass;
 DRIVER_MODULE(zyd, uhub, zyd_driver, zyd_devclass, NULL, 0);
 MODULE_DEPEND(zyd, usb, 1, 1, 1);
 MODULE_DEPEND(zyd, wlan, 1, 1, 1);
+MODULE_VERSION(zyd, 1);
_______________________________________________
svn-src-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-src-all
To unsubscribe, send any mail to "svn-src-all-unsubscribe@freebsd.org"
Comment 23 Ed Maste freebsd_committer 2018-10-02 19:22:57 UTC
This is now fixed?